# Authentication

There are two ways to authenticate with this API:

* with your unique User ID and API Secret Key in the Authorization request header field.
* with an OAuth2 Access Token in the Authorization request header field (which uses the Bearer authentication scheme to transmit the Access Token).

Each endpoint supports either option.

### bearer

In this case, you have to send a valid Access Token (as a JWT Token) in the Authorization header, using the Bearer authentication scheme.

e.g. `Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdW...`

### api\_key

Provide your API key in the `Authorization` header. In this case, you have to send your User ID and API Secret Key information in the Authorization header, concatenating the two values with a colon : You can obtain your full API Key from the My Account page after you have logged in.

e.g. `Authorization: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx:xxxxxxxxxxxxxxx...`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orb360.tech/dam/api-ref/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
